<?php
// Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
?>
<div class="r-shortcuts">
    <ul class="r-shortcuts-list">
        <li class="r-shortcuts-item r-top-subscriber"><span></span></li>
        <?php if ($this->subscriptionSwitchingAllowed): ?>
        <li class="r-shortcuts-item r-top-subscription"><span></span></li>
        <?php endif; ?>
        <li class="r-shortcuts-item r-top-help"><span></span></li>
        <li class="r-shortcuts-item r-top-search"><span></span></li>
    </ul>
</div>
<div class="shortcuts">
    <ul class="shortcuts-list">
        <li class="shortcuts-item top-user-info <?php if (!$this->subscriptionSwitchingAllowed) echo 'top-user-info-simple'; ?>">
            <div class="top-user-info-wrapper">
                <div class="top-user-info-row top-subscriber">
                    <div class="top-user-info-name"><?php echo $this->lmsg('smb.components.shortcuts.' . ($this->impersonatedClientName ? 'impersonatedInAs' : 'loggedInAs')); ?></div>
                    <div class="top-user-info-data">
                        <div id="account-menu"></div>
                    </div>
                </div>
                <?php if ($this->subscriptionSwitchingAllowed): ?>
                    <div class="top-user-info-row top-subscription">
                        <div class="top-user-info-name"><?php echo $this->lmsg(Plesk_Mode::isPowerUserPanel()?'smb.components.shortcuts.webspace': 'smb.components.shortcuts.subscription'); ?></div>
                        <div class="top-user-info-data">
                            <div id="subscription-switch"></div>
                        </div>
                    </div>
                <?php endif; ?>
            </div>
        </li>
        <li class="shortcuts-item top-help">
            <div id="help-menu">
            </div>
        </li>

        <li id="search" class="shortcuts-item top-search">
            <!-- do not use form due to problems with old screens and forms[0] construction -->
            <!-- form method="get" action="" id="search-form" onsubmit="return false;" -->
                <fieldset class="search">
                    <input type="text" class="search-input search-empty" autocomplete="off" value="" id="searchTerm" name="searchTerm">
                    <input type="image" class="search-button" src="<?php echo $this->skinUrl('/icons/16/plesk/search.png'); ?>" id="searchButton">
                </fieldset>
                <?php if (!$this->layout()->isClassicMode): ?>
                    <div style="display: none;" id="searchResultsBlock" class="top-search-results">
                        <table class="top-search-results-wrapper"><tbody><tr><td class="top-search-results-container">
                            <div class="top-search-results-content">
                            </div>
                        </td></tr></tbody></table>
                    </div>
                <?php endif ?>
            <!-- /form -->
        </li>

        <?php if ($this->logo()->isRightLogoVisible): ?>
            <li class="shortcuts-item top-company-logo">
                <a href="http://www.odin.com" target="_blank">
                    <?php if (!empty($this->logo()->customLogoImage)): ?>
                        <img height="31" width="62" src="<?php echo $this->skinUrl('/images/logos/powered-logo.png'); ?>"/>
                    <?php else: ?>
                        <img height="31" width="62" src="<?php echo $this->skinUrl('/images/logos/company-logo.png'); ?>"/>
                    <?php endif; ?>
                </a>
            </li>
        <?php endif; ?>
    </ul>
</div>

<script type="text/javascript">
//<![CDATA[
Jsw.onReady(function() {
    <?php if ($this->subscriptionSwitchingAllowed): ?>
        new Smb.Dropdown({
            applyTo: 'subscription-switch',
            items: <?php echo Zend_Json::encode($this->subscriptions); ?>,
            title: <?php echo $this->jsEscape($this->currentSubscriptionTitle); ?>,
            onChange: function(event, item) {
                event.preventDefault();
                if (item.disabled) {
                    return;
                }
                window.location.href = Jsw.baseUrl + item.value
                    + '?returnUrl=' + <?php echo $this->jsEscape($this->returnUrl); ?>
                    + '&activeModule=' + <?php echo $this->jsEscape($this->activeModule); ?>;
            },
            responsiveClass: 'r-top-subscription',
            responsiveHeaderId: 'header',
            responsiveHeaderClass: 'r-shortcuts-active r-shortcuts-top-subscription'
        });
    <?php endif; ?>
    new Smb.Dropdown({
        applyTo: 'account-menu',
        items: <?php echo Zend_Json::encode($this->accountMenu['items']); ?>,
        title: <?php echo $this->jsHtml($this->accountMenu['title']); ?>,
        forceDropdown: true,
        responsiveClass: 'r-top-subscriber',
        responsiveHeaderId: 'header',
        responsiveHeaderClass: 'r-shortcuts-active r-shortcuts-top-subscriber'
    });
    new Smb.Dropdown({
        applyTo: 'help-menu',
        items: <?php echo Zend_Json::encode($this->helpMenu['items']); ?>,
        title: <?php echo $this->jsHtml($this->helpMenu['title']); ?>,
        forceDropdown: true,
        responsiveClass: 'r-top-help',
        responsiveHeaderId: 'header',
        responsiveHeaderClass: 'r-shortcuts-active r-shortcuts-top-help'
    });

    new Smb.SearchDropdown({
        applyTo: 'search',
        responsiveClass: 'r-top-search',
        responsiveHeaderId: 'header',
        responsiveHeaderClass: 'r-shortcuts-active r-shortcuts-top-search'
    });
});
//]]>
</script>